Bug 563397 - Publican is taking deprecated entries from the PO file when building
Publican is taking deprecated entries from the PO file when building
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-10 00:02 EST by Manuel Ospina
Modified: 2015-11-09 19:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 19:19:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manuel Ospina 2010-02-10 00:02:44 EST
Description of problem:

When trying to build HTML for a language, publican is using deprecated entries (#~).

Version-Release number of selected component (if applicable): 1.4


How reproducible: always


Steps to Reproduce:
1. publican build --langs it-IT --formats html
2. The build will stop with this error message:

DEBUG: Publican: config loaded
Setting up it-IT

not well-formed (invalid token) at line 4, column 78, byte 240:
<!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
]>
<para>#~ "Successivamente apparirà la casella di dialogo <guilabel>Benvenuto</"#~ "guilabel>."</para>
=============================================================================^
 at /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/XML/Parser.pm line 187

3. Checking the PO File, it says:
#~ msgid "Next, the <guilabel>Welcome</guilabel> dialog appears."
#~ msgstr ""
#~ "Successivamente apparirà la casella di dialogo <guilabel>Benvenuto</"
#~ "guilabel>."

Actual results:
The XML is built using the entry and the process fail

Expected results:
This entries should be ignored.

Additional info:
Example taken from Installation_Guide for RHEL6.
svn: https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/FINAL/Installation_Guide
Comment 1 Fedora Update System 2010-02-26 00:24:50 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 2 Fedora Update System 2010-02-26 00:28:29 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 3 Fedora Update System 2010-02-26 00:28:36 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 4 Fedora Update System 2010-02-26 00:28:47 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 5 Fedora Update System 2010-02-26 00:31:15 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 6 Fedora Update System 2010-02-26 00:35:10 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 7 Fedora Update System 2010-02-26 22:29:31 EST
publican-1.5-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-02-26 22:45:18 EST
publican-1.5-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.